{% extends 'app.html.twig' %}

{% block app_title %}
    <h1 class="mb-5">{{ 'Two-Factor Verification'|trans }}</h1>
{% endblock %}

{% block app_body %}
    <form class="form" method="post" action="{{ path('verify-2fa-post') }}">
        <p>{{ 'Scan the following QR code into your authenticator:'|trans }}</p>

        <div class="text-center">
            <img src="{{ qrCodeDataURI }}" alt="{{ 'QR code'|trans }}" />
        </div>

        <p class="mt-4">{{ 'Or manually enter this code:'|trans }}</p>

        <div class="input-group">
            <!--suppress HtmlFormInputWithoutLabel -->
            <span type="text" class="form-control form-control-lg user-select-all text-danger">
                {{ googleSecretFormatted }}
            </span>
            <span class="input-group-text" data-copy="{{ googleSecret }}">
                <span class="fa fa-lg fa-fw fa-poo"></span>
                <span class="fa fa-lg fa-fw fa-copy"></span>
                <span class="fa fa-lg fa-fw fa-check"></span>
            </span>
        </div>

        <p class="mt-4">{{ 'Enter the code from your authenticator:'|trans }}</p>

        <div class="form-floating">
            <input
                    id="_auth_code"
                    type="text"
                    class="form-control form-control-lg"
                    name="auth_code"
                    required
                    autofocus
                    placeholder=""
                    autocomplete="one-time-code"
                    pattern="[0-9]*"
                    maxlength="6"
            />
            <label for="_auth_code" class="form-check-label">{{ 'auth_code'|trans({}, 'SchebTwoFactorBundle') }}</label>
        </div>

        <div class="text-center mt-5">
            <button class="btn btn-primary" type="submit">{{ 'Submit'|trans }}</button>
            <a href="{{ path('setup-account') }}" class="btn btn-danger">{{ 'Cancel'|trans }}</a>
        </div>
    </form>
{% endblock %}
